> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price Lists

> Retrieve a list of all price lists.



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json get /commerce/catalog/admin/pricelists
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/pricelists:
    get:
      tags:
        - PriceLists
      summary: Get Price Lists
      description: Retrieve a list of all price lists.
      parameters:
        - in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - in: query
          name: pageSize
          schema:
            default: 0
            format: int32
            type: integer
        - in: query
          name: sortBy
          schema:
            type: string
        - in: query
          name: filter
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceListCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/PriceListCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/PriceListCollection'
          description: OK
components:
  schemas:
    PriceListCollection:
      description: Collection of categories returned as a whole. A collection is not paged.
      properties:
        items:
          items:
            $ref: '#/components/schemas/CatalogAdminsPriceList'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CatalogAdminsPriceList:
      description: Category
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        defaultForSites:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        description:
          description: Description of the price list. Max length is 300
          nullable: true
          type: string
        enabled:
          description: >-
            Is the price list enabled and valid in the storefront. Default is
            true.
          nullable: true
          type: boolean
        filteredInStorefront:
          description: >-
            When true, only products with valid price list entries will be
            visible in the storefront. Default is false
          nullable: true
          type: boolean
        indexedSites:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        mappedCustomerSegments:
          description: "List of customer segment code associated with this price list.\r\nUsed to resolve default price list"
          items:
            type: string
          nullable: true
          type: array
        name:
          description: Name of the priceList. Max length is 100
          minLength: 1
          type: string
        parentPriceListCode:
          description: Parent PriceList code, Can be null for root level priceLists
          nullable: true
          type: string
        parentPriceListName:
          description: >-
            Parent PriceList name, Can be null for root level priceLists. Read
            only in contract.
          nullable: true
          type: string
        priceListCode:
          description: >-
            External unique identifier of the PriceList. Must be unique an only
            contain url sanitized characters. Max length is 50
          minLength: 1
          type: string
        priceListSequence:
          format: int32
          type: integer
        rank:
          description: >-
            Used to prioritize price list resolution when more than 1 price list
            maps
          format: int32
          nullable: true
          type: integer
        resolvable:
          description: "Determines if this price list can be resolved as the current price list \r\nwithin a session."
          nullable: true
          type: boolean
        validForAllSites:
          description: >-
            When true, no valid sites need to be specifiied. Price list is
            considered valid for all sites. Default is true
          nullable: true
          type: boolean
        validSites:
          description: >-
            When ValidForAllSites = false, a list of siteIDs that the price list
            is valid for should be supplied
          items:
            format: int32
            type: integer
          nullable: true
          type: array
      required:
        - name
        - priceListCode
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````